Module java.desktop
Package javax.swing.plaf.synth

## Class SynthCheckBoxMenuItemUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.MenuItemUI
      - - javax.swing.plaf.basic.BasicMenuItemUI
        - - javax.swing.plaf.synth.SynthMenuItemUI
          - - javax.swing.plaf.synth.SynthCheckBoxMenuItemUI

All Implemented Interfaces:
  PropertyChangeListener, EventListener, SynthConstants, SynthUI

    public class SynthCheckBoxMenuItemUI
    extends SynthMenuItemUI

Provides the Synth L&F UI delegate for `JCheckBoxMenuItem`.

Since:
  1.7

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI

`BasicMenuItemUI.MouseInputHandler`

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI

`acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

### Constructor Summary

Constructors
Constructor and Description
`SynthCheckBoxMenuItemUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI(JComponent c)` Creates a new UI object for the given component.
`protected String` `getPropertyPrefix()` Returns a property prefix.
`void` `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)` Paints the border.

### Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI

`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredSize, installComponents, installKeyboardActions, installUI, paintBackground, paintMenuItem, paintText, uninstallComponents, uninstallKeyboardActions`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class javax.swing.plaf.synth.SynthMenuItemUI

`getContext, getPreferredMenuItemSize, installDefaults, installListeners, paint, paint, propertyChange, uninstallDefaults, uninstallListeners, uninstallUI, update`

### Constructor Detail

#### SynthCheckBoxMenuItemUI

    public SynthCheckBoxMenuItemUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent c)

Creates a new UI object for the given component.

Parameters:
  `c` - component to create UI object for
Returns:
  the UI object

#### getPropertyPrefix

    protected String getPropertyPrefix()

Returns a property prefix.

Overrides:
  `getPropertyPrefix` in class `BasicMenuItemUI`
Returns:
  a property prefix

#### paintBorder

    public void paintBorder(SynthContext context,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

Paints the border.

Specified by:
  `paintBorder` in interface `SynthUI`
Overrides:
  `paintBorder` in class `SynthMenuItemUI`
Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border